Bug 67771 - quoting in formula/equation editor changes alignment as well
Summary: quoting in formula/equation editor changes alignment as well
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2013-08-05 08:11 UTC by Yury
Modified: 2019-06-10 12:58 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
formula file showing the problem (5.14 KB, application/vnd.oasis.opendocument.formula)
2013-08-05 08:11 UTC, Yury
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yury 2013-08-05 08:11:45 UTC
Created attachment 83644 [details]
formula file showing the problem

In formula/equation editor, quoting the text changes text alignment as well, which is unexpected and wrong behaviour.

Example file (formula) attached. You may try with the source of the formula:

E = "N"
over 
{ exp left[ 1 over {k_B T} right]  − 1 }

Here N is aligned to the left. Removing the double quotes from around N changes alignment to (correct) center.
Comment 1 Mike Kaganski 2013-08-05 08:25:31 UTC
Reproducible with 4.1.0.4, 3.6.0.4, 3.3.0.4 and AOO 4.0 under Win7x64.
Comment 2 QA Administrators 2015-04-19 03:22:17 UTC Comment hidden (obsolete)
Comment 3 Yury 2015-04-19 06:13:40 UTC
The issue's still there on 4.3.7.1 and 4.4.2.2 (linux/amd64).
Comment 4 QA Administrators 2016-09-20 09:24:50 UTC Comment hidden (obsolete)
Comment 5 Yury 2016-09-20 16:17:12 UTC
Issue still there in:
Version: 5.2.1.2
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
Locale: ru-RU (en_GB.UTF-8); Calc: group
Comment 6 Xisco Faulí 2017-09-29 08:52:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929